Sync xpn 1.2.6-3 (universe) from Debian unstable (main)

Bug #510139 reported by Artur Rona on 2010-01-20
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xpn (Ubuntu)
Undecided
Unassigned

Bug Description

Explanation of the Ubuntu delta and why it can be dropped:
Changes from Ubuntu have been forwarded to Debian.

xpn (1.2.6-3) unstable; urgency=low

  * debian/patches/:
    - 03-fix_deprecations.patch added, fix deprecated GTK widgets/calls
      (gtk.Tooltips() and set_use_markup())
    - 04-add_tray_icon.patch added (Closes: #563811)
  * debian/xpn-wrapper.sh updated to use exec rather than directly
    running python
  * debian/control: removed dependency on python-pysqlite2, since
    python2.5 already has sqlite3 it in the standards modules

 -- David Paleino <email address hidden> Sat, 16 Jan 2010 17:33:15 +0100

xpn (1.2.6-2) unstable; urgency=low

  * debian/control:
    - updated my email address
    - DMUA removed
    - Build-Dependencies versions bumped to use dh7
    - Standards-Version bumped to 3.8.3, no changes needed
  * debian/manpages added
  * debian/rules rewritten using dh7:
    - remove xpn.pot from locales directory (Closes: #556994)
  * debian/README.source added

 -- David Paleino <email address hidden> Thu, 19 Nov 2009 10:20:56 +0100

Artur Rona (ari-tczew) wrote :
tags: added: merge
Changed in xpn (Ubuntu):
status: New → Confirmed
Fabrice Coutadeur (fabricesp) wrote :

Hi Artur,

It seems that 1.2.6-3 fixes the remaining Ubuntu change:
xpn (1.2.6-3) unstable; urgency=low
 .
   * debian/patches/:
     - 03-fix_deprecations.patch added, fix deprecated GTK widgets/calls
       (gtk.Tooltips() and set_use_markup())
     - 04-add_tray_icon.patch added (Closes: #563811)
   * debian/xpn-wrapper.sh updated to use exec rather than directly
     running python
   * debian/control: removed dependency on python-pysqlite2, since
     python2.5 already has sqlite3 it in the standards modules

Maybe we should sync it. Could you test build it?

Thanks,
Fabrice

Changed in xpn (Ubuntu):
status: Confirmed → Incomplete
Artur Rona (ari-tczew) wrote :

I can't find 1.2.6-3 version. Could you give me an any link?

Artur Rona (ari-tczew) wrote :

Founded. Convert to sync request.

description: updated
summary: - Merge xpn 1.2.6-2 (universe) from Debian testing (main)
+ Sync xpn 1.2.6-3 (universe) from Debian unstable (main)
tags: added: sync
removed: merge
Fabrice Coutadeur (fabricesp) wrote :

Sync request ack'd

Changed in xpn (Ubuntu):
status: Incomplete → Triaged
James Westby (james-w) wrote :

[Updating] xpn (1.2.6-1ubuntu1 [Ubuntu] < 1.2.6-3 [Debian])
 * Trying to add xpn...
  - <xpn_1.2.6-3.dsc: downloading from http://ftp.debian.org/debian/>
  - <xpn_1.2.6.orig.tar.gz: already in distro - downloading from librarian>
  - <xpn_1.2.6-3.diff.gz: downloading from http://ftp.debian.org/debian/>
I: xpn [universe] -> xpn_1.2.6-1ubuntu1 [universe].

Changed in xpn (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers